"use strict";

const darkThemeClass = 'dark-theme';
const darkTheme = 'Dark Theme';
const darkThemeItem = 'dark-theme-item';
const lightTheme = 'Light Theme';
const lightThemeItem = 'light-theme-item';
const styleCookie = 'style';

function applyStyleSheet(theme) {
    // convert legacy cookie values
    if (theme === "light") {
        theme = lightTheme;
    } else if (theme === "dark") {
        theme = darkTheme;
    }

    if (theme === darkTheme) {
        document.body.classList.add(darkThemeClass);
    } else {
        document.body.classList.remove(darkThemeClass);
    }

    // set the active theme menu item

    let item = document.getElementById(lightThemeItem);
    if (item) {
        if (theme === darkTheme) {
            item.classList.remove(active);
        } else {
            item.classList.add(active);
        }
    }

    item = document.getElementById(darkThemeItem);
    if (item) {
        if (theme === darkTheme) {
            item.classList.add(active);
        } else {
            item.classList.remove(active);
        }
    }
}

function readCookie(name) {
    const nameEQ = name + "=";
    const ca = document.cookie.split(';');
    for (let i = 0; i < ca.length; i++) {
        let c = ca[i];
        while (c.charAt(0) === ' ') {
            c = c.substring(1, c.length);
        }

        if (c.indexOf(nameEQ) === 0) {
            return c.substring(nameEQ.length, c.length);
        }
    }
    return null;
}

let cookieValue = readCookie(styleCookie);
applyStyleSheet(cookieValue);
